import {
  toReactNodes
} from "./chunk-OYIPFTQC.js";
import {
  StyledHeadline,
  getPropDefaults
} from "./chunk-3FHPHO5S.js";
import {
  __spreadProps,
  __spreadValues
} from "./chunk-W7FAWX6T.js";

// src/components/typography/Headline.tsx
import { jsx } from "@emotion/react/jsx-runtime";
function Headline(props) {
  const propsWithDefaults = getPropDefaults(props);
  let reactNodes = props.children || null;
  if (props.content) {
    reactNodes = toReactNodes(props.content);
  }
  return /* @__PURE__ */ jsx(StyledHeadline, __spreadProps(__spreadValues({}, propsWithDefaults), { children: reactNodes }));
}

export {
  Headline
};
